-- Unique Faction ID
local factionid = "Pelian Army";
print ("Loading "..factionid)

CF_Factions[#CF_Factions + 1] = factionid
	
-- Faction name
CF_FactionNames[factionid] = "Pelian Army";
-- Set true if faction is selectable by player or AI
CF_FactionPlayable[factionid] = true;
-- Faction icon preset. Set to nil if you don't have one. Faction will get random default icon.
CF_FactionIcon[factionid] = "FactionIconPelianArmy";
-- Facion icon preset module
CF_FactionIconModules[factionid] = "UnmappedLands.rte";


-- Define weapon sets
-- Different probabilities.
-- 1 - Probability to get a heavy weapon
-- 2 - Probability to get a secondary weapon
-- 3 - Probability to get an explosive
-- 4 - Probability to a second explosive
-- Example:
-- CF_Probabilities[factionid] = {0.35 , 0.30 , 0.60 , 0.30};
CF_LightWeaponSets[factionid] = {"Puncher", "Nailer"}
CF_LightWeaponSetModules[factionid] = {"PelianArmy.rte", "PelianArmy.rte"};

CF_HeavyWeaponSets[factionid] = {"Decapitator", "Lobber", "Vaporizer", "Vindicator", "Reaper"}
CF_HeavyWeaponSetModules[factionid] = {"PelianArmy.rte", "PelianArmy.rte", "PelianArmy.rte", "PelianArmy.rte", "PelianArmy.rte"};

CF_Probabilities[factionid] = {1 , 1 , 0.20 , 0.05};

-- Define explosives
CF_ExplosiveSets[factionid] = {"P.A. Frag Nade", "P.A. Napalm Nade", "P.A. Plasma Nade"};
CF_ExplosiveSetModules[factionid] = {"PelianArmy.rte", "PelianArmy.rte", "PelianArmy.rte"};

-- Define troops
CF_ActorSets[factionid] = {"Pelian Light Soldier", "Pelian Medium Soldier", "Pelian Heavy Soldier"};
CF_ActorSetModules[factionid] = {"PelianArmy.rte", "PelianArmy.rte", "PelianArmy.rte"};

--Define brains
CF_BrainPresets[factionid] = "Coalition Brain";
CF_BrainPresetModules[factionid] = "UnmappedLands.rte";

-- Define actors allowed for purchase. All other actors will be gibbed if gibbing option is enabled
CF_AllowedActors[factionid] = {"Pelian Light Soldier" , "Pelian Medium Soldier" , "Pelian Heavy Soldier" , "P.A. Rocket" , "Pelian Assault Robot" , "P.A. M.A.R.S."};

-- Define specific weapons
CF_RocketLaunchers[factionid] = {"Abolisher"};
CF_RocketLauncherModules[factionid] = {"PelianArmy.rte"};

CF_SniperRifles[factionid] = {"Hammer"};
CF_SniperRifleModules[factionid] = {"PelianArmy.rte"};

-- Define dropships
CF_Dropships[factionid] = {"P.A. Rocket"};
CF_DropshipModules[factionid] = {"PelianArmy.rte"};

-- Define armored troops. If not defined actor with shield and one handed weapon spawned
CF_ArmorCrabs[factionid] = nil
CF_ArmorCrabModules[factionid] = nil

CF_ArmorHumans[factionid] = nil
CF_ArmorHumanModules[factionid] = nil

-- Define armor substitutions
CF_ArmorPistols[factionid] = {"Puncher"}
CF_ArmorPistolModules[factionid] = {"PelianArmy.rte"}

CF_ArmorShields[factionid] = {"Absorber"}
CF_ArmorShieldModules[factionid] = {"PelianArmy.rte"}

-- Define elite weapon sets. All weapons from this set are given to elite soldier.
CF_EliteWeaponSets[factionid] = {"Hellfire" , "Chopper"}
CF_EliteWeaponSetModules[factionid] = {"PelianArmy.rte", "PelianArmy.rte"}

--Define turrets
CF_Turrets[factionid] = {"P.A.G.T Heavy MG"}
CF_TurretModules[factionid] = {"PelianArmy.rte"}

-- Define last stand mission. Must be null if not present in Unmapped lands to switch to default
CF_LastStandMission[factionid] = nil;
CF_LastStandMissionScene[factionid] = nil;
